server:
  port: 48080
  forward-headers-strategy: framework

--- #################### 数据库相关配置 ####################
spring:
  datasource:
    dynamic: # 多数据源配置
      primary: master
      datasource:
        master:
          # MYSQL数据库 主库，业务库
          name: jeelowcode_pre_master
          url: jdbc:dm://172.17.0.1:5236?schema=LOWCODE_MASTER&compatibleMode=oracle
          driver-class-name: dm.jdbc.driver.DmDriver
          username: SYSDBA
          password: Sysdba_666

        jeelowcode: # 从库，框架库
          name: jeelowcode_pre_frame
          url: jdbc:dm://172.17.0.1:5236?schema=LOWCODE_FRAME&compatibleMode=oracle
          driver-class-name: dm.jdbc.driver.DmDriver
          username: SYSDBA
          password: Sysdba_666
        slave: # 日志库单独
          name: dev_jeelowcode_log
          lazy: true # 开启懒加载，保证启动速度
          url: jdbc:dm://172.17.0.1:5236?schema=LOWCODE_LOG&compatibleMode=oracle
          driver-class-name: dm.jdbc.driver.DmDriver
          username: SYSDBA
          password: Sysdba_666

  # Redis 配置。Redisson 默认的配置足够使用，一般不需要进行调优
  redis:
    host: redis_isr # 地址
    #    port: 6379 # 端口
    #    database: 10 # 数据库索引
    #  password: 123456 # 密码，建议生产环境开启


logging:
  file:
    name: /data/mjkj/webapp/mjkj_jeelowcode/webapp/logs/${spring.application.name}.log # 日志文件名，全路径
--- #################### 芋道相关配置 ####################

# 芋道配置项，设置当前项目所有自定义的配置
jeelowcode:
  captcha:
    enable: false # 本地环境，暂时关闭图片验证码，方便登录等接口的测试；
  security:
    mock-enable: true
    permit-all-urls:
      - /admin-api/jeelowcode/open/** # 低代码平台，不需要登
      - /admin-api/jeelowcode/demo/**
  xss:
    enable: false
    exclude-urls: # 如下两个 url，仅仅是为了演示，去掉配置也没关系
      - ${spring.boot.admin.context-path}/** # 不处理 Spring Boot Admin 的请求
      - ${management.endpoints.web.base-path}/** # 不处理 Actuator 的请求
  access-log: # 访问日志的配置项
    enable: false
  error-code: # 错误码相关配置项
    enable: false
  demo: false # 关闭演示模式
  tencent-lbs-key: TVDBZ-TDILD-4ON4B-PFDZA-RNLKH-VVF6E # QQ 地图的密钥 https://lbs.qq.com/service/staticV2/staticGuide/staticDoc

--- #################### 地代码平台相关配置 ####################
jeelowcode:
  excludeTableNames: #不允许该类型的表开头
    - lowcode_
    - qrtz_
    - system_
    - act_
    - bpm_
    - flw_
    - infra_
  debug: true #是否开启调试模式
  #AES加解密 key 重新生成AesUtil.genAesKey()
  aesKey: O2BEeIv399qHQNhD6aGW8R8DEj4bqHXm
  #JAVA增强生成文件地址
  enhancePath: jeelowcode-module\jeelowcode-module-biz\src\main\java\com\jeelowcode\module\biz\enhance
